desktop_color_depth(3)

NAME
desktop_color_depth - Finds out the desktop color depth. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int desktop_color_depth();

DESCRIPTION
Finds out the currently selected desktop color depth. You can use this information to make your program use the same color depth as the desktop, which will likely make it run faster because the graphic driver won't be doing unnecessary color conversions behind your back. Under some OSes, switching to a full screen graphics mode may automatically change the desktop color depth. You have, therefore, to call this function before setting any graphics mode in order to retrieve the real desktop color depth. Example:
   allegro_init();
   ...
   if ((depth = desktop_color_depth()) != 0) {
      set_color_depth(depth);
   }

RETURN VALUE
Returns the color depth or zero on platforms where this information is not available or does not apply.

SEE ALSO
get_desktop_resolution(3), set_color_depth(3), set_gfx_mode(3)